// 自动生成模板ProblemType
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// ProblemType 结构体
// 如果含有time.Time 请自行import time包
type ProblemType struct {
	global.GVA_MODEL
	SiteType *int   `json:"siteType" form:"siteType" gorm:"column:site_type;comment:站点类型;type:int"`
	Problem  string `json:"problem" form:"problem" gorm:"column:problem;comment:问题;type:varchar(255);"`
	Integral *int   `json:"integral" form:"integral" gorm:"column:integral;comment:分数;type:int"`
	UnitIds  string `json:"unitIds" form:"unitIds" gorm:"column:unit_ids;comment:责任单位id;type:varchar(255);"`
}

// TableName ProblemType 表名
func (ProblemType) TableName() string {
	return "problem_type"
}
